'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = setLocale;

var _locale = require('./locale');

var _locale2 = _interopRequireDefault(_locale);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function setLocale(custom) {
  Object.keys(custom).forEach(function (type) {
    Object.keys(custom[type]).forEach(function (method) {
      _locale2.default[type][method] = custom[type][method];
    });
  });
}