"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = inherits;
/* eslint-disable no-param-reassign */
function inherits(ctor, superCtor, spec) {
  ctor.prototype = Object.create(superCtor.prototype, {
    constructor: {
      value: ctor,
      enumerable: false,
      writable: true,
      configurable: true
    }
  });

  Object.assign(ctor.prototype, spec);
}